WordPress 5.2 “Jaco”正式版发布

根据5.1中引入的站点状态功能,此版本添加了两个新页面,以帮助调试常见配置问题。它还增加了开发人员为站点维护人员提供调试信息的空间。

WordPress 5.2 正式版发布,新版为您提供了更强大的工具,用于识别和修复配置问题和致命错误。无论您是帮助客户的开发人员还是您自己管理网站,这些工具都可以帮助您在需要时获得正确的信息。

站点健康检查和 PHP 错误保护工具有全新的功能,如果您发现站点上的插件或主题有任何问题,可以放心使用。仪表板中还提供了可用图标的更新,使用辅助技术的任何人都可以获得新的可访问性注意事项。

WordPress 5.2 “Jaco”正式版发布

更新日志

现场健康检查

根据 5.1 中引入的站点状态功能,此版本添加了两个新页面,以帮助调试常见配置问题。它还增加了开发人员为站点维护人员提供调试信息的空间。

PHP 错误保护

这种以管理员为中心的更新允许您在没有开发人员时间的情况下安全地修复或管理致命错误。它有一个更好的处理称为“死白屏幕”和一种进入恢复模式的方法,它可以暂停附加组件或导致错误的问题。

对每个人的改进

辅助功能更新:许多变化协同工作,以改善使用屏幕阅读器和其他辅助技术的人的上下文感知和键盘导航流程。

新的仪表板图标:十三个新图标,包括 Instagram,BuddyPress 的一套图标,以及全球包含的旋转地球图标。在仪表板中找到它们并享受一些乐趣!

插件兼容性检查:WordPress 现在将自动确定您的网站的 PHP 版本是否与已安装的插件兼容。如果加载项需要比您的站点当前使用的 PHP 版本更高的 PHP 版本,WordPress 将不允许您激活它以避免可能的兼容性错误。

开发者的福利

PHP Version Bump:支持的最低 PHP 版本现在为 5.6.20。从 WordPress 5.2 *开始,主题和插件可以安全地利用命名空间,匿名函数等等!

隐私更新:新的主题页面模板,条件函数和两个 CSS 类使得隐私策略页面的设计和自定义变得更加容易。

新的 body 钩子:5.2 引入了一个 wp_body_open 钩子,它允许主题支持在<body>元素的开头注入代码。

构建 JavaScript:通过在 wordpress / scripts 包中添加 webpack 和 Babel 配置,开发人员不必担心设置复杂的构建工具来编写现代 JavaScript。

WordPress 5.2 “Jaco”正式版发布

特别注意

WordPress 5.2 需要 PHP 版本大于 5.6.20

人已赞赏
网站系统

Windows 下启用 memcache 缓存所走的弯路

2019-4-30 22:25:10

网站系统

WordPress 5.2.1 维护版发布

2019-5-22 20:02:34

2 条回复 A文章作者 M管理员
  1. 已经升级,感觉这次WP升级对开发和维护人员的好处很大!

    • 是的,古腾堡编辑器本来就对开发人员很不错!支持很多定制功能!就是对原有的主题开发者来说工作量巨大!

个人中心
购物车
优惠劵
今日签到
有新私信 私信列表
搜索